## Authentifizierung mocken
Mit der Annotation `@WithUserDetails("US_C1A")` werden (wenn `MockMvc` verwendet wird) die HTTP Requests in Integration Tests
so simuliert, dass diese vom Benutzer mit dem angegebenen Benutzernamen (hier: `US_C1A`) kommen. 

Die Benutzer sind in `data.sql` anzulegen, das Benennungsschema ergibt sich aus:

- `U`: Steht für Benutzer
- `S`: Steht für die Rolle `staff`
- `C1A`: Steht dafür, dass der Benutzer im Kurs 1 die `Admin`-Berechtigung hat.

Die Benutzer sollten nach Möglichkeit wiederverwendet werden, damit die Testsuite wartbar bleibt.