package de.hsrm.sls.subato.solutions.evaluation.evaluator;

import org.springframework.data.jpa.repository.JpaRepository;

public interface EvaluatorRepository extends JpaRepository<Evaluator, Long>  {
    Evaluator findByIdIgnoreCaseAndVersionIgnoreCase(String id, String version);

    default Evaluator findByReferenceIgnoreCase(String reference) {
        var evaluators = findAll();
        return evaluators.stream().filter(e -> e.getReference().toLowerCase().equals(reference)).findFirst().orElse(null);
    }
}
