# Runner

Spring bietet die Möglichkeit für CommandLine Runners. Diese kann man nutzen, um während der Entwicklung oder später im Produktivsystem bestimmte Aktionen durchzuführen. Nachfolgend eine Auflistung, für eine genauere Beschreibung zur Benutzung/zu den Details in der Java-Doc der jeweiligen Klasse nachlesen.

Grundsätzlich können die Runner mit `gradle bootRun --args='<taskName> <arg1> <arg2> ...` aufgerufen werden. Dann wird das Spring Framework initialisiert und alle Runner werden aufgerufen. Diejenigen, die sich mit dem `taskName` identifizieren, werden ausgeführt. In IntelliJ kann eine Run/Debug Config erstellt werden, sodass über die IDE gestartet werden kann.

| Runner | Beschreibung |
| ------ | ------------ |
| ImportTasksRunner | Aufgaben aus einem Verzeichnis im lokalen Dateisystem in einen Aufgaben-Pool importieren
| CoreDataImportRunner | Stammdaten importieren 
| TermDataImportRunner | Semesterdaten (zu einem Semester) importieren
| TaskPoolSyncRunner | Alle Aufgaben-Pools im System synchronisieren
| SeedRunner | JSON-Importschnittstelle für Initialisierung der Datenbank, siehe [Seeding](seeding.md)