export enum Weekday {
    Monday,
    Tuesday,
    Wednesday,
    Thursday,
    Friday,
    Saturday,
    Sunday
}

export namespace Weekday {
    export function toString(weekday: Weekday): string {
        switch(weekday) {
            case Weekday.Monday: return "Montag";
            case Weekday.Tuesday: return "Dienstag";
            case Weekday.Wednesday: return "Mittwoch";
            case Weekday.Thursday: return "Donnerstag";
            case Weekday.Friday: return "Freitag";
            case Weekday.Saturday: return "Samstag";
            case Weekday.Sunday: return "Sonntag";
        }
    }

    export function toShortString(weekday: Weekday): string {
        switch(weekday) {
            case Weekday.Monday: return "Mo";
            case Weekday.Tuesday: return "Di";
            case Weekday.Wednesday: return "Mi";
            case Weekday.Thursday: return "Do";
            case Weekday.Friday: return "Fr";
            case Weekday.Saturday: return "Sa";
            case Weekday.Sunday: return "So";
        }
    }
}