import { User } from "app/core/models/user";
import { Iso8601Helper } from "app/shared/helper/iso8601.helper";
import * as moment from 'moment';

export class SolutionComment {
    id: number;
    text: string;
    from: User;
    createdAt: moment.Moment;

    constructor(comment: any) {
        this.id = comment.id;
        this.text = comment.text;
        this.from = new User(comment.from);
        this.createdAt = Iso8601Helper.fromString(comment.createdAt);
    }
}