package de.hsrm.sls.subato.aor.term.model;

import java.util.Objects;

public class Lecturer {
    public static class User {
        private String hdsName;

        public String getHdsName() {
            return hdsName;
        }

        public void setHdsName(String hdsName) {
            this.hdsName = hdsName;
        }
    }

    private String firstName;
    private String lastName;
    private String email;
    private User user;

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Lecturer lecturer = (Lecturer) o;
        return email.equals(lecturer.email);
    }

    @Override
    public int hashCode() {
        return Objects.hash(email);
    }
}
