package de.hsrm.sls.subato.tasks.imp;

public class TaskImportResult {
    private long totalTaskDirectories;
    private long importedTasks;
    private long archivedTasks;
    private long problems;

    public TaskImportResult(long totalTaskDirectories, long importedTasks, long archivedTasks, long problems) {
        this.totalTaskDirectories = totalTaskDirectories;
        this.importedTasks = importedTasks;
        this.archivedTasks = archivedTasks;
        this.problems = problems;
    }

    public TaskImportResult() { }

    public long getTotalTaskDirectories() {
        return totalTaskDirectories;
    }

    public long getImportedTasks() {
        return importedTasks;
    }

    public long getArchivedTasks() {
        return archivedTasks;
    }

    public long getProblems() {
        return problems;
    }
}
