package de.hsrm.sls.subato.user;

public class UserNotFoundException extends RuntimeException {
    private long id;
    private String loginName;

    public UserNotFoundException(long id) {
        this.id = id;
    }

    public UserNotFoundException(String loginName) {
        this.loginName = loginName;
    }

    public long getId() {
        return id;
    }

    public String getLoginName() {
        return loginName;
    }
}