INSERT INTO users (id, login_name, mail, active) VALUES (1, 'US_C1A', 'dummy@local.cs.hs-rm.de', TRUE);
INSERT INTO user_roles (user_id, role_id) VALUES (1, 1);

INSERT INTO degree_program (id, name, short_name, po_year, pos_code, is_active, aor_id) VALUES (1, 'Angewandte Informatik', 'AI-B4', 2017, 'IAB', true, 28713455);
INSERT INTO degree_program (id, name, short_name, po_year, pos_code, is_active, aor_id) VALUES (2, 'Angewandte Informatik Dual', 'AI-D1', 2016, 'IBB', true, 663122664);

INSERT INTO program_module (id, name, short_name, program_id, scheduled_term, frequency, aor_id) VALUES (1, 'Objektorientierte Softwareentwicklung', 'OOSE', 1, 1, 1, 399199642);
INSERT INTO program_module (id, name, short_name, program_id, scheduled_term, frequency, aor_id) VALUES (2, 'Objektorientierte Softwareentwicklung', 'OOSE', 2, 1, 1, 1068580744);
INSERT INTO term (id, name, source_id, lectures_start_at, lectures_end_at, aor_id) VALUES (1, 'WS2223', 44, '2022-10-17', '2023-02-03', 986159133);

INSERT INTO course (id, name, short_name, description, motd, visibility, submit_policy, term_id, show_emails) VALUES (1, 'Objektorientierte Softwareentwicklung', 'OOSE', 'Bla', 'Hallo', 0, 0, NULL, 0);
INSERT INTO course_unit (id, name, type, course_id, aor_id) VALUES (1, 'Sandkasten', 4, 1, null);
INSERT INTO course_unit (id, name, type, course_id, aor_id) VALUES (2, 'Standard', 4, 1, null);
INSERT INTO course_staff_memberships(user_id, course_id, group_id) VALUES(1, 1, 0);

INSERT INTO course (id, name, short_name, description, motd, visibility, submit_policy, term_id, show_emails) VALUES (2, 'Objektorientierte Softwareentwicklung', 'OOSE', 'Für AoR Import', 'Hallo', 0, 0, 1, 0);
INSERT INTO course_unit (id, name, type, course_id, aor_id) VALUES (3, 'Sandkasten', 4, 2, null);
INSERT INTO course_unit (id, name, type, course_id, aor_id) VALUES (4, 'Standard', 4, 2, null);
INSERT INTO course_modules(course_id, modules_id) VALUES(2, 1);
INSERT INTO course_modules(course_id, modules_id) VALUES(2, 2);

INSERT INTO task_pool (id, name, description, repository_url, last_updated, last_checked, source_id) VALUES (1, 'Beispiele', 'Beispielaufgaben', 'https://gitlab.cs.hs-rm.de/sls/stef-examples', NULL, NULL, NULL);
INSERT INTO task_pool (id, name, description, repository_url, last_updated, last_checked, source_id) VALUES (2, 'oose-ai', 'OOSE', 'https://gitlab.cs.hs-rm.de/sls/subato-aufgaben/oose-ai', NULL, NULL, 2);

INSERT INTO language (id, name) VALUES ('java', 'Java');
INSERT INTO language (id, name) VALUES ('c', 'C');
INSERT INTO language (id, name) VALUES ('haskell', 'Haskell');
INSERT INTO language (id, name) VALUES ('literatehaskell', 'Literate Haskell');
INSERT INTO language (id, name) VALUES ('scala', 'Scala');
INSERT INTO language (id, name) VALUES ('kotlin', 'Kotlin');
INSERT INTO language (id, name) VALUES ('ruby', 'Ruby');
INSERT INTO language (id, name) VALUES ('python', 'Python');
INSERT INTO language (id, name) VALUES ('cpp', 'C++');
INSERT INTO language (id, name) VALUES ('go', 'Go');
INSERT INTO language (id, name) VALUES ('sql', 'SQL');
INSERT INTO language (id, name) VALUES ('js', 'JavaScript');
INSERT INTO language (id, name) VALUES ('elm', 'Elm');

INSERT INTO evaluator (eid, id, version, compile, style, test) VALUES (4, 'java15', null, true, true, true);

INSERT INTO task (id, id_name, name, pool_id, source_id, language_id, evaluator_eid, archived, repository_path, spec_cache) VALUES (11, '663Record', 'Ein Record für Date', 1, 663, 'java', 4, false, '663Record', '{"spec": {"meta": {"id": "663Record", "name": "Ein Record für Date", "files": [{"file": {"src": true, "name": "Date.java", "path": "files/template/name/panitz/record/Date.java", "uuid": "07113763-68a4-4e4b-80e0-58eb1761a60c", "children": [], "directory": false, "contentType": "text/x-java-source"}, "path": "name/panitz/record/Date.java", "type": 2, "public": true, "description": ""}, {"file": {"src": true, "name": "Date.java", "path": "files/solution/name/panitz/record/Date.java", "uuid": "e7d07f6c-a4c5-4a03-b108-3fb017a83c51", "children": [], "directory": false, "contentType": "text/x-java-source"}, "path": "name/panitz/record/Date.java", "type": 3, "public": false, "description": ""}, {"file": {"src": true, "name": "DateTest.java", "path": "files/test/name/panitz/record/DateTest.java", "uuid": "b6440e50-32ce-48ee-be19-f4e75df80ed7", "children": [], "directory": false, "contentType": "text/x-java-source"}, "path": "name/panitz/record/DateTest.java", "type": 0, "public": false, "description": ""}], "attempts": 5, "language": "java", "legacyId": 663, "evaluator": 4, "description": "Die Date Klasse aus dem ersten Semester jetzt als Record.", "mimeMappings": [], "submissionModeConfig": {"modes": [{"type": "FILE", "extensions": ["java"], "allowArchives": true, "extractArchives": true}, {"type": "TEXT"}], "defaultMode": "TEXT"}}, "text": "<div><div>Schreiben Sie die Klasse <tt>Date</tt> aus dem ersten Semester jetzt als Record. schreiben Sie dir folgenden Methoden:\n<ol>\n<li>Schreiben Sie eine Methode:<br/><tt>boolean isEarlierThan(Date that)</tt><br/>die testet, ob das Datumsobjekt im Kalender vor einem anderen Datum liegt.</li>\n<li>Schreiben Sie eine Methode:<br/><tt>boolean isLaterThan(Date that)</tt><br/>die testet ob das Datumsobjekt im Kalender nach einem anderen Datum liegt.</li>\n<li>Schreiben Sie eine Methode:<br/><tt>boolean isLeapYear()</tt> <br/>die testet, ob das Datum in einem Schaltjahr liegt.</li>\n</ol>\n</div></div>"}, "serializationVersion": 8}');

INSERT INTO exercise (id, name, summary, description, course_id, due_to, visible_from, source_id, assessment_mode) VALUES (1, 'Java 15', 'In Java Version 15 gibt es wieder interessante neue Feature und Previews für Feature, die es sich lohnen einmal anzuschauen.', '', 1, '2050-05-10 20:15:00.000000', null, 299, 0);
INSERT INTO task_instance (id, exercise_id, task_id, reachable_points, order_number, solution_public) VALUES (1, 1, 11, null, 1, false);

INSERT INTO submission (id, submitted_by_id, exercise_id, checked_by_id, passed) VALUES (1, 1, 1, null, null);
INSERT INTO eval_result (id, runtime_output, compiling, compilation_output, allocations, frees, tests_run, test_failures, test_errors, evaluator_eid) VALUES (16, '', false, e'Hier steht Kompilierausgabe', 0, 0, 0, 0, 0, 4);
INSERT INTO solution (id, task_id, exercise_id, submitted_by_id, submitted_at, source_id, eval_result_id, submission_id, delayed, attempts_exceeded, submitted_with) VALUES (1, 11, 1, 1, '2023-03-14 23:16:12.243953', null, 16, 1, false, false, 0);

-- required since Spring 6 / Hibernate 6 --
ALTER TABLE degree_program ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM degree_program) + 1;
ALTER TABLE program_module ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM program_module) + 1;
ALTER TABLE users ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM users) + 1;
ALTER TABLE term ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM term) + 1;
ALTER TABLE task_pool ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM task_pool) + 1;
ALTER TABLE course ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM course) + 1;
ALTER TABLE course_unit ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM course_unit) + 1;
ALTER TABLE evaluator ALTER COLUMN eid RESTART WITH (SELECT MAX(eid) FROM evaluator) + 1;
ALTER TABLE task ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM task) + 1;
ALTER TABLE exercise ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM exercise) + 1;
ALTER TABLE task_instance ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM task_instance) + 1;
ALTER TABLE submission ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM submission) + 1;
ALTER TABLE eval_result ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM eval_result) + 1;
ALTER TABLE solution ALTER COLUMN id RESTART WITH (SELECT MAX(id) FROM solution) + 1;